import BaseACTION from './base_action'
import { Certs } from '@api'

export default class CertsAction extends BaseACTION {
  /* get传输方式 */
  getCert (id) {
    return Certs.getCert(id).then(res => {
      return res
    }).catch(res => {
      return JSON.parse(res.message) || { test: 'OK' }
    })
  }

  /* post传输方式 */
  search (obj = {}) {
    return Certs.search(obj).then(res => {
      return res
    }).catch(res => {
      return JSON.parse(res.message) || { test: 'OK' }
    })
  }
}
