import BaseAPI from './base_api'

export default class CertsAPI extends BaseAPI {
  /**
   * get传输方式
   * @param {[string]} id resource_id
   */
  getCert = (obj) => this.get('/certs/v1/certificate/cert/get', obj)
  /**
   * post传输方式
   * @param {[object]} obj
   */
  search = (obj = {}) => this.post('/certs/v1/certificate/cert/search', obj, { headers: { 'Content-Type': 'multipart/form-data' } })
  // search = (obj = {}) => this.post('/certs/v1/certificate/cert/search', obj)
}
